Package Scientific :: Package BSP :: Class ParMessages

[frames] | no frames]

# Class ParMessages

    object --+
             |
      ParValue --+
                 |
                ParMessages

Global message list

Instance Methods

__init__(self, messages) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

ParValue

data(self) Returns: a global object whose local value is a list of all data items in the messages. |

ParValue

exchange(self) Transmit all the messages |

ParValue

processorIds(self) Returns: a global object whose local value is a list of all processor Ids referenced in a message |

Inherited from `ParValue`: `__add__`, `__call__`, `__div__`, `__divmod__`, `__eq__`, `__ge__`, `__getattr__`, `__getitem__`, `__gt__`, `__le__`, `__len__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__neg__`, `__nonzero__`, `__pow__`, `__repr__`, `__str__`, `__sub__`, `accumulate`, `alltrue`, `anytrue`, `broadcast`, `fullExchange`, `get`, `getattr`, `map`, `put`, `reduce`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `ParValue`: `is_parvalue`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, messages)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `messages` (Global sequence) - a global object whose local value is a list of (pid, data) pairs.
Overrides: object.__init__

### data(self)

Returns: ParValue
  a global object whose local value is a list of all data items in the messages.

### exchange(self)

Transmit all the messages

Returns: ParValue
  a global object containing the received messages

### processorIds(self)

Returns: ParValue
  a global object whose local value is a list of all processor Ids referenced in a message